#!/bin/sh
# shell wrapper script for generating OpenMetrics output
# {{ ansible_managed }}

# disable use of ldap.conf
LDAPNOINIT=1
export LDAPNOINIT

# explicitly use specific libldap
LD_LIBRARY_PATH="{{ openldap_path.libdir }}:${LD_LIBRARY_PATH}"
export LD_LIBRARY_PATH

# some env vars set for Python interpreter
{% for evar in aedir_python_env %}
{{ evar.name }}={{ evar.value }}
export {{ evar.name }}
{% endfor %}

{{ aedir_python }} -m slapdcheck.metrics \
  '{{ openldap_ldapi_uri }}' \
  '{{ slapd_check_ldaps_uri }}' \
  '{{ slapd_check_authz_id }}'
